package dev.shadowsoffire.apotheosis.mixin;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.ench.Ench;
import dev.shadowsoffire.apotheosis.ench.enchantments.masterwork.EndlessQuiverEnchant;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.ArrowItem;
import net.minecraft.world.item.ItemStack;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin({ArrowItem.class})
public class ArrowItemMixin {
  @Inject(method = {"isInfinite"}, at = {@At("RETURN")}, remap = false, cancellable = true)
  public void apoth_isInfinite(ItemStack stack, ItemStack bow, Player player, CallbackInfoReturnable<Boolean> ci) {
    if (!ci.getReturnValueZ() && Apotheosis.enableEnch)
      ci.setReturnValue(Boolean.valueOf(((EndlessQuiverEnchant)Ench.Enchantments.ENDLESS_QUIVER.get()).isTrulyInfinite(stack, bow, player))); 
  }
}
